<?php

namespace App\Filament\Resources\OCRRecordResource\Pages;
use Illuminate\Database\Eloquent\Builder;

use App\Filament\Resources\OCRRecordResource;
use Filament\Actions;
use Filament\Resources\Pages\ListRecords;

class ListOCRRecords extends ListRecords
{
    protected static string $resource = OCRRecordResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Actions\Action::make('upload')
                ->label('上传卷子照片')
                ->icon('heroicon-m-arrow-up-tray')
                ->color('primary')
                ->url(fn () => static::getResource()::getUrl('create'))
                ->openUrlInNewTab(false),
        ];
    }
}
